---
title: Discover App Extensions
---

<app-extension-discover />


## Official App Extensions
Below is a list of official app-extensions created by members of the Quasar team.

### Tooling

| Alias | Description |
| --- | --- |
| [@quasar/testing](https://github.com/quasarframework/quasar-testing) | Includes pre-configured sub-extensions for all of your testing needs |
| [@quasar/typescript](https://github.com/quasarframework/app-extension-typescript) | Transform your project into typescript awesomeness |

### Project Rigging

| Alias | Description |
| --- | --- |
| [@quasar/dotenv](https://github.com/quasarframework/app-extension-dotenv) | A slightly opinionated management tool to use dotenv in your application |
| [@quasar/qenv](https://github.com/quasarframework/app-extension-qenv) | A less slightly opinionated management tool to propogate variables to the browser for a variety of unlimited environments (dev, prod, test, etc) for use in your application |
| [@quasar/icon-factory](https://github.com/quasarframework/app-extension-icon-factory) | Cross-platform construction kit to generate all app-icons (favicons, .ico, .icns) for distributables |

### Components

| Alias | Description |
| --- | --- |
| [@quasar/qmediaplayer](https://github.com/quasarframework/app-extension-qmediaplayer) | HTML5 Video and Audio player |
| [@quasar/qflashcard](https://github.com/quasarframework/app-extension-qflashcard) | Show some information and reveal more with CSS Transition Mashups |
| [@quasar/qoverlay](https://github.com/quasarframework/app-extension-qoverlay) | Overlays simplified. Add any component on top of the overlay |
| [@quasar/qactivity](https://github.com/quasarframework/app-extension-qactivity) | Create activity timelines |
| [@quasar/qmarkdown](https://github.com/quasarframework/app-extension-qmarkdown) | Markdown for your pages |
| [@quasar/qpdfviewer](https://github.com/quasarframework/app-extension-qpdfviewer) | View PDF documents in your Quasar app |
| [@quasar/qcalendar](https://github.com/quasarframework/app-extension-qcalendar) | Calendar for Quasar |
| [@quasar/qscroller](https://github.com/quasarframework/app-extension-qscroller) | Many scrolling components, including QScroller, QTimeScroller, QDateScroller, QDateTimeScroller and scrolling time ranges |

### In Development

| Alias | Description |
| --- | --- |
| [@quasar/apollo](https://github.com/quasarframework/app-extension-graphql) | Apollo and GraphQL with server and front-end integration |
| [@quasar/feathersjs](https://github.com/quasarframework/app-extension-feathersjs) | Create FeathersJS server and front-end integration |
| [@quasar/amplify](https://github.com/quasarframework/app-extension-amplify) | Integrate and manage AWS Amplify |
| [@quasar/firebase](https://github.com/quasarframework/app-extension-firebase) | Integrate and manage Google Firebase / Firestore |
| [@quasar/qtranslate](https://github.com/quasarframework/app-extension-qtranslate) | Deep localization including datetime, currency and string management |
| [@quasar/universal-fs](https://github.com/quasarframework/app-extension-universal-fs) | Wrap the filesystem interface for web, cordova and electron with one abstraction |
